%define         major 0
%define         libname %mklibname rlottie %{major}
%define         devel %mklibname rlottie -d

#define         git %nil
%define         rel 4

Name:           rlottie
Version:        0.2
Release:        %mkrel %{?git:-c git%{git}} %{rel}
Summary:        Platform independent standalone library that plays Lottie Animation
Group:          System/Libraries
License:        LGPLv2+ and MIT and FTL and BSD and MPLv1.1
URL:            https://www.tizen.org/
Source0:        https://github.com/Samsung/rlottie/archive/%{?git:master}%{!?git:v%{version}}/%{name}-%{version}%{?git:-git%{git}}.tar.gz
Patch1:		rlottie-includes.patch
BuildRequires:  meson

%description
rlottie is a platform independent standalone c++ library for rendering vector
based animations and art in realtime.

Lottie loads and renders animations and vectors exported in the bodymovin JSON
format. Bodymovin JSON can be created and exported from After Effects with
bodymovin, Sketch with Lottie Sketch Export, and from Haiku.

For the first time, designers can create and ship beautiful animations without
an engineer painstakingly recreating it by hand. Since the animation is backed
by JSON they are extremely small in size but can be large in complexity!

%package -n %{devel}
Summary:       Development libraries for rlottie
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}

%description -n %{devel}
rlottie is a platform independent standalone c++ library for rendering vector
based animations and art in realtime.

Lottie loads and renders animations and vectors exported in the bodymovin JSON
format. Bodymovin JSON can be created and exported from After Effects with
bodymovin, Sketch with Lottie Sketch Export, and from Haiku.

For the first time, designers can create and ship beautiful animations without
an engineer painstakingly recreating it by hand. Since the animation is backed
by JSON they are extremely small in size but can be large in complexity!

This is the development libraries for rlottie.

%package -n %{libname}
Summary:       Platform independent standalone library that plays Lottie Animation
Group:         System/Libraries
Provides:      librlottie-image-loader = %{version}-%{release}

%description -n %{libname}
rlottie is a platform independent standalone c++ library for rendering vector
based animations and art in realtime.

Lottie loads and renders animations and vectors exported in the bodymovin JSON
format. Bodymovin JSON can be created and exported from After Effects with
bodymovin, Sketch with Lottie Sketch Export, and from Haiku.

For the first time, designers can create and ship beautiful animations without
an engineer painstakingly recreating it by hand. Since the animation is backed
by JSON they are extremely small in size but can be large in complexity!

%prep
%autosetup -n %{name}-%{?git:master}%{!?git:%{version}} -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{devel}
%{_includedir}/rlottie.h
%{_includedir}/rlottie_capi.h
%{_includedir}/rlottiecommon.h
%{_libdir}/pkgconfig/rlottie.pc
%{_libdir}/librlottie.so

%files -n %{libname}
%license COPYING
%doc README.md AUTHORS
%{_libdir}/librlottie-image-loader.so
%{_libdir}/librlottie.so.%{major}{,.*}


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2-4.mga10
+ Revision: 2195837
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 0.2-3.mga9
+ Revision: 1793530
- Mageia 9 Mass Rebuild

* Wed May 26 2021 wally <wally> 0.2-2.mga9
+ Revision: 1728485
- add patch to fix missing includes
- fix devel pkg requires
- provide librlottie-image-loader with lib pkg

* Wed Aug 19 2020 kekepower <kekepower> 0.2-1.mga8
+ Revision: 1615615
- Update to version 0.2

* Thu Aug 06 2020 kekepower <kekepower> 0.1.1-0.git20200806.1.mga8
+ Revision: 1611449
- Update to snapshot git20200806

* Wed Jul 22 2020 kekepower <kekepower> 0.1.1-0.git20200722.1.mga8
+ Revision: 1608133
- Update to snapshot git20200722
- Fix Licenses as there a many

* Fri Jul 03 2020 kekepower <kekepower> 0.1-1.mga8
+ Revision: 1601787
- Update to release 0.1

* Thu Jul 02 2020 kekepower <kekepower> 0.0.1-0.git20200630.1.mga8
+ Revision: 1601317
- Update to snapshot git20200630

* Wed Apr 08 2020 kekepower <kekepower> 0.0.1-0.git20200408.1.mga8
+ Revision: 1565538
- Update to snapshot git20200408
- Update URL

* Mon Apr 06 2020 kekepower <kekepower> 0.0.1-0.git20200406.1.mga8
+ Revision: 1565104
- Update to snapshot git20200406
- Update licenses

* Wed Mar 18 2020 kekepower <kekepower> 0.0.1-0.git20200317.1.mga8
+ Revision: 1557795
- imported package rlottie

